New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

No sound with 0.4.0 #85

Closed
trygvis opened this Issue Apr 27, 2011 · 8 comments

Comments

3 participants
@trygvis

trygvis commented Apr 27, 2011

ERROR    GStreamer encountered a general stream error. gstbasesrc.c(2550): gst_base_src_loop (): /GstPipeline:pipeline0/GstURIDecodeBin:uri/GstAppSrc:source:
streaming task paused, reason not-negotiated (-4)

An insider say it should work by reverting this commit: b5b2319

@jodal

This comment has been minimized.

Member

jodal commented Apr 27, 2011

The reporter is running Ubuntu 10.10. This seems to work on Ubuntu 11.04. Should be possible to make this work on both GStreamer versions without locking the uridecodebin to the Spotify audio format. The fix for this should not create a new blocker for multi-backend support.

@trygvis

This comment has been minimized.

trygvis commented Apr 27, 2011

Versions:

Starting Mopidy 0.4.0 on Linux-2.6.35-28-generic-x86_64-with-Ubuntu-10.10-maverick CPython 2.6.6

@adamcik

This comment has been minimized.

Member

adamcik commented Apr 27, 2011

Removal of caps in commit is probably to blame. Will try to re-add set caps
after appsrc is set in uridecodebin.

@adamcik

This comment has been minimized.

Member

adamcik commented Apr 27, 2011

For reference I tested the commit in question on 10.4 before submiting.

adamcik added a commit to adamcik/mopidy that referenced this issue Apr 29, 2011

@ghost ghost assigned adamcik Apr 29, 2011

@adamcik

This comment has been minimized.

Member

adamcik commented Apr 29, 2011

@trygvis please try https://github.com/adamcik/mopidy/tree/bugfix/85-fix-non-negotiated-appsrc and see if it helps. Haven't setup Mopidy on a 10.10 machine to test yet.

@trygvis

This comment has been minimized.

trygvis commented Apr 29, 2011

I'll try on monday. Good thing I haven't upgraded to the new Ubuntu release ;)

@jodal

This comment has been minimized.

Member

jodal commented Apr 29, 2011

I've tested on my remaining Ubuntu 10.10 machine. With v0.3.1 it works, with v0.4.0 I get the same error as @trygvis, with @adamcik's branch it works again.

Ready for merging into hotfix/0.4.1 IMO.

jodal added a commit that referenced this issue Apr 29, 2011

@jodal

This comment has been minimized.

Member

jodal commented Apr 29, 2011

Fix merged into develop and hotfix/0.4.1. Will be in 0.4.1 and 0.5.0.

@jodal jodal closed this Apr 29, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment